Loading...
Searching...
No Matches
StripAsserts.h File Reference

Defines the lowering pass that strips asserts when NoAsserts is set. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::strip_asserts (const Stmt &s)

## Detailed Description

Defines the lowering pass that strips asserts when NoAsserts is set.

Definition in file StripAsserts.h.